package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;

/**
 * DictRequest -  字典查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class DictFindRequest extends BaseFindRequest {

    /**
     * 字典ID
     */
    private Long id;
    /**
     * 字典名称
     */
    private String dictName;

    /**
     * 字典代码
     */
    private String dictComment;

    /**
     * 是否有效
     */
    private Boolean valid;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDictName() {
        return this.dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDictComment() {
        return this.dictComment;
    }

    public void setDictComment(String dictComment) {
        this.dictComment = dictComment;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}
